## kdebase-workspace 4.5.1

=== kcontrol/CMakeLists.txt ===

macro_optional_find_package(Freetype)
macro_log_feature(FREETYPE_FOUND "FreeType" "A font rendering engine" "http://www.freetype.org" FALSE "" "Needed to build kfontinst, a simple font installer.")


set(libkxftconfig_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/fonts/kxftconfig.cpp )


if( X11_Xrandr_FOUND )
   add_subdirectory( randr )
endif(X11_Xrandr_FOUND )

if(X11_Xkb_FOUND)
    add_subdirectory( keyboard )
endif(X11_Xkb_FOUND)

if(NOT WIN32)
add_subdirectory( bell )
add_subdirectory( input )
add_subdirectory( kdm )
add_subdirectory( access )
if ( ${QT_QT3SUPPORT_FOUND} )
add_subdirectory( screensaver )
endif (${QT_QT3SUPPORT_FOUND} )
add_subdirectory( dateandtime )
add_subdirectory( autostart )
endif(NOT WIN32)

add_subdirectory( launch )
add_subdirectory( colors )
add_subdirectory( krdb )
add_subdirectory( style )
add_subdirectory( desktoptheme )
add_subdirectory( standard_actions )
add_subdirectory( keys )
add_subdirectory( workspaceoptions )
if(X11_Xinerama_FOUND)
	add_subdirectory( xinerama )
endif(X11_Xinerama_FOUND)

#TODO needs porting to what changed in KDE4 + please also rethink if it's really needed/useful to provide a duplicated nav-hierachy for colors, fonts, etc. - thx :)
#add_subdirectory( kthememanager )

# TODO needs porting
#add_subdirectory( smartcard )

add_subdirectory( hardware )
add_subdirectory( desktoppaths )

if(FONTCONFIG_FOUND AND FREETYPE_FOUND AND NOT WIN32)
    add_subdirectory( fonts )
    add_subdirectory( kfontinst )
endif(FONTCONFIG_FOUND AND FREETYPE_FOUND AND NOT WIN32)

=== kinfocenter/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} )
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=1208 )

add_subdirectory( Categories )
add_subdirectory( Modules )

INCLUDE_DIRECTORIES( ToolTips )

set( kinfocenter_SRCS 
infocenter.cpp 
main.cpp 
sidepanel.cpp 
kcmcontainer.cpp 
kcmtreeitem.cpp 
kcmcategoryitem.cpp
infokcmmodel.cpp 
infokcmproxymodel.cpp
ToolTips/ktooltip.cpp
ToolTips/ktooltipwindow.cpp
ToolTips/tooltipmanager.cpp
)

kde4_add_executable( kinfocenter ${kinfocenter_SRCS} )

target_link_libraries( kinfocenter ${KDE4_KFILE_LIBS} ${KDE4_KCMUTILS_LIBS} )

##install

install( TARGETS kinfocenter          ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES kinfocenter.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
INSTALL( FILES kinfocenterui.rc DESTINATION ${DATA_INSTALL_DIR}/kinfocenter )

=== wallpapers/CMakeLists.txt ===
install(DIRECTORY Aghi DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Air DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Autumn DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Blue_Wood DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Ethais DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Evening DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Fields_of_Peace DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Finally_Summer_in_Germany DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Fresh_Morning DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Grass DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Hanami DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Media_Life DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Plasmalicious DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Quadros DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Red_Leaf DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

=== kcontrol/kdm/CMakeLists.txt ===
add_subdirectory( background )

# Currently needed for DEFAULT_TEXT_HEIGHT
# The plan is to move konq_iconviewwidget to kdesktop and then it's all inside workspace.
# But first KonqOperations must be redesigned to not use konq_iconviewwidget...
include_directories( ${QIMAGEBLITZ_INCLUDES} )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/background/  )

kde4_add_ui_files(kcmbackgroundlib_SRCS ${KDEBASE_WORKSPACE_SOURCE_DIR}/kcontrol/kdm/background/bgwallpaper_ui.ui ${KDEBASE_WORKSPACE_SOURCE_DIR}/kcontrol/kdm/background/bgdialog_ui.ui ${KDEBASE_WORKSPACE_SOURCE_DIR}/kcontrol/kdm/background/bgadvanced_ui.ui)

set(kcm_kdm_PART_SRCS ${kcmbackgroundlib_SRCS} ${backgroundlib_SRCS}
   background.cpp
   kdm-gen.cpp
   kdm-dlg.cpp
   kdm-theme.cpp
   kdm-shut.cpp
   kdm-users.cpp
   kdm-conv.cpp
   main.cpp
   kbackedcombobox.cpp
   positioner.cpp)


kde4_add_plugin(kcm_kdm ${kcm_kdm_PART_SRCS})


target_link_libraries(kcm_kdm ${KDE4_KIO_LIBS} ${QIMAGEBLITZ_LIBRARIES} ${KDE4_KNEWSTUFF3_LIBS} ${X11_LIBRARIES} kworkspace)

install(TARGETS kcm_kdm  DESTINATION ${PLUGIN_INSTALL_DIR})

#### KAuth helper and actions ####
kde4_add_executable(kcmkdmhelper helper.cpp)
target_link_libraries(kcmkdmhelper ${KDE4_KDECORE_LIBS})
install(TARGETS kcmkdmhelper DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_helper_files(kcmkdmhelper org.kde.kcontrol.kcmkdm root)

kde4_install_auth_actions(org.kde.kcontrol.kcmkdm kcmkdm_actions.actions)

########### install files ###############

install( FILES kdm.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

install( FILES anchor.png  DESTINATION  ${DATA_INSTALL_DIR}/kcontrol/pics )
install( FILES kdm.knsrc DESTINATION ${CONFIG_INSTALL_DIR} )

=== kcontrol/keyboard/CMakeLists.txt ===
SET(CMAKE_REQUIRED_LIBRARIES -lXi)
CHECK_FUNCTION_EXISTS(_XiGetDevicePresenceNotifyEvent XiGetDevicePresenceNotifyEvent_EXISTS)

if( X11_Xinput_FOUND AND XiGetDevicePresenceNotifyEvent_EXISTS )
    set(XiGetDevicePresence_FOUND 1)
    ADD_DEFINITIONS(-DHAVE_XINPUT_AND_DEVICE_NOTIFY=1)
else( X11_Xinput_FOUND AND XiGetDevicePresenceNotifyEvent_EXISTS )
    MESSAGE(STATUS "_XiGetDevicePresenceNotifyEvent is not found, libXi version 1.2.0 or later is required to keep layouts with keyboard hotplugging")
endif( X11_Xinput_FOUND AND XiGetDevicePresenceNotifyEvent_EXISTS )


### kded daemon ###

set( kded_keyboard_SRCS
    keyboard_daemon.cpp
    layout_memory.cpp
    x11_helper.cpp
    xinput_helper.cpp
    xkb_helper.cpp
    keyboard_config.cpp
    keyboard_hardware.cpp
    bindings.cpp
    utils.cpp
# next are temporary for sys tray UI
    layout_widget.cpp
    flags.cpp
    xkb_rules.cpp
)

kde4_add_plugin(kded_keyboard ${kded_keyboard_SRCS})

target_link_libraries(kded_keyboard
    ${KDE4_KDECORE_LIBS}  ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES}
	# next are temporary for sys tray UI
 	${QT_QTXML_LIBRARY} ${X11_Xkbfile_LIB}
 )

if(XiGetDevicePresence_FOUND)
  target_link_libraries(kded_keyboard ${X11_Xinput_LIB})
endif(XiGetDevicePresence_FOUND)

install( TARGETS kded_keyboard DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES keyboard.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded )


### plasma applet ###

set( plasma_applet_keyboard_SRCS
    keyboard_applet.cpp
    flags.cpp
    keyboard_config.cpp
    xkb_rules.cpp
    x11_helper.cpp
    utils.cpp
)

kde4_add_plugin(plasma_applet_keyboard ${plasma_applet_keyboard_SRCS})

target_link_libraries(plasma_applet_keyboard
     ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${X11_Xkbfile_LIB} ${X11_LIBRARIES}
)

install( TARGETS plasma_applet_keyboard DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES plasma_applet_keyboard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


### widget lib ###

set( keyboard_layout_widget_SRCS
    layout_widget_plugin.cpp
    layout_widget.cpp
    keyboard_config.cpp
    flags.cpp
    x11_helper.cpp
    # for sys tray ui
    xkb_rules.cpp
    utils.cpp
)

# MODULE?
kde4_add_plugin(keyboard_layout_widget ${keyboard_layout_widget_SRCS})

target_link_libraries(keyboard_layout_widget
     ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES}
	# next are temporary for sys tray UI
 	${QT_QTXML_LIBRARY} ${X11_Xkbfile_LIB}
)

install( TARGETS keyboard_layout_widget DESTINATION ${PLUGIN_INSTALL_DIR} )


### kcm keyboard ###

set(kcm_keyboard_PART_SRCS 
  kcm_keyboard.cpp
  kcm_keyboard_widget.cpp
  kcm_view_models.cpp
  kcm_add_layout_dialog.cpp
  keyboard_config.cpp
  x11_helper.cpp
  xkb_helper.cpp
  xkb_rules.cpp
  flags.cpp
  iso_codes.cpp
  kcmmisc.cpp
  bindings.cpp
  utils.cpp
#  keyboard_hardware.cpp
)


kde4_add_ui_files(kcm_keyboard_PART_SRCS kcm_keyboard.ui kcm_add_layout_dialog.ui kcmmiscwidget.ui)

kde4_add_plugin(kcm_keyboard ${kcm_keyboard_PART_SRCS})

set_target_properties(kcm_keyboard PROPERTIES COMPILE_DEFINITIONS DEFAULT_TAB=0) 

target_link_libraries(kcm_keyboard
    ${KDE4_KIO_LIBS} ${X11_Xkbfile_LIB} ${X11_LIBRARIES}
)

install(TARGETS kcm_keyboard DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kcm_keyboard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== ksysguard/gui/CMakeLists.txt ===

add_subdirectory( ksgrd ) 
add_subdirectory( tests ) 

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/ksgrd/
   ${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/ 
   ${CMAKE_SOURCE_DIR}/workspace
   ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs
   ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/ksysguard
   ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/ksysguard/signalplotter
   ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/ksysguard/processcore )


########### next target ###############

set(libsensordisplays_SRCS
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/SensorDisplay.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/BarGraph.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/DancingBars.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/DancingBarsSettings.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/DummyDisplay.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/FancyPlotter.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/FancyPlotterSettings.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/ListView.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/LogFile.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/MultiMeter.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/MultiMeterSettings.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/ProcessController.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/SensorLogger.cc
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/SensorLoggerDlg.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/SensorLoggerSettings.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/SensorModel.cc 
   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/ListViewSettings.cc 
#   	${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/modeltest.cpp
	)

kde4_add_ui_files( libsensordisplays_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/ListViewSettingsWidget.ui
   ${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/LogFileSettings.ui
   ${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/MultiMeterSettingsWidget.ui
   ${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/SensorLoggerDlgWidget.ui
   ${CMAKE_CURRENT_SOURCE_DIR}/SensorDisplayLib/SensorLoggerSettingsWidget.ui
)

set(ksysguard_KDEINIT_SRCS ${libsensordisplays_SRCS}
   ksortfilterproxymodel.cpp
   SensorBrowser.cc 
   WorkSheet.cc
   WorkSheetSettings.cc 
   Workspace.cc
   HostConnector.cc
   StyleEngine.cc
   ksysguard.cc )



kde4_add_kdeinit_executable(ksysguard ${ksysguard_KDEINIT_SRCS})

target_link_libraries(kdeinit_ksysguard processui ksignalplotter ${KDE4_KIO_LIBS} ksgrd ${KDE4_PLASMA_LIBS} ${KDE4_KNEWSTUFF3_LIBS})

install(TARGETS kdeinit_ksysguard ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS ksysguard         ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES ksysguard.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES ProcessTable.sgrd SystemLoad2.sgrd DESTINATION  ${DATA_INSTALL_DIR}/ksysguard )
install( FILES ksysguardui.rc  DESTINATION  ${DATA_INSTALL_DIR}/ksysguard )
install( FILES ksysguard.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

=== libs/kworkspace/CMakeLists.txt ===

set(kworkspace_LIB_SRCS kdisplaymanager.cpp
                        kwindowlistmenu.cpp
                        screenpreviewwidget.cpp
                        kworkspace.cpp
                        kactivityconsumer.cpp
                        kactivitycontroller.cpp
                        kactivitycontrollerdbus_p.cpp
                        kactivityinfo.cpp
   )

if(SOPRANO_PLUGIN_RAPTORPARSER_FOUND)

soprano_add_ontology(
   kworkspace_LIB_SRCS
   "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nfo.trig"
   "nfo"
   "Ontologies"
   "trig"
   )

soprano_add_ontology(
   kworkspace_LIB_SRCS
   "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nco.trig"
   "nco"
   "Ontologies"
   "trig"
   )

soprano_add_ontology(
   kworkspace_LIB_SRCS
   "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/pimo/pimo.trig"
   "pimo"
   "Ontologies"
   "trig"
   )

ADD_DEFINITIONS(-DHAVE_SOPRANO_PLUGIN_RAPTORPARSER=1)

endif(SOPRANO_PLUGIN_RAPTORPARSER_FOUND)



set(ksmserver_xml  ${KDEBASE_WORKSPACE_SOURCE_DIR}/ksmserver/org.kde.KSMServerInterface.xml)
qt4_add_dbus_interface( kworkspace_LIB_SRCS ${ksmserver_xml} ksmserver_interface )

set(kwin_xml  ${KDEBASE_WORKSPACE_SOURCE_DIR}/kwin/org.kde.KWin.xml)

set_source_files_properties(${kwin_xml} PROPERTIES INCLUDE "interface_util.h")

qt4_add_dbus_interface( kworkspace_LIB_SRCS ${kwin_xml} kwin_interface )

qt4_add_dbus_adaptor(
    kworkspace_LIB_SRCS
    org.kde.ActivityController.xml
    kactivitycontrollerdbus_p.h
    KActivityControllerDbus
)

qt4_add_dbus_interface(
    kworkspace_LIB_SRCS
    org.kde.ActivityManager.xml
    activitymanager_interface
)

qt4_add_dbus_interface(
    kworkspace_LIB_SRCS
    org.kde.nepomuk.ActivitiesService.xml
    nepomukactivitiesservice_interface
)


if(WIN32)
    set (LIB_MODE)
else(WIN32)
    set (LIB_MODE SHARED)
endif(WIN32)

kde4_add_library(kworkspace ${LIB_MODE} ${kworkspace_LIB_SRCS})

target_link_libraries(kworkspace  ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES} ${KDE4_PLASMA_LIBS} )

set_target_properties(kworkspace PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kworkspace EXPORT kdeworkspaceLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES kdisplaymanager.h
               kwindowlistmenu.h
               kworkspace.h
               kactivityconsumer.h
               kactivitycontroller.h
               kactivityinfo.h
         DESTINATION ${INCLUDE_INSTALL_DIR}/kworkspace COMPONENT Devel )

=== libs/taskmanager/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=1204)

########### next target ###############

include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/kephal)

set(taskmanager_LIB_SRCS
   abstractgroupableitem.cpp
   abstractgroupingstrategy.cpp
   abstractsortingstrategy.cpp
   groupmanager.cpp
   startup.cpp
   strategies/alphasortingstrategy.cpp
   strategies/desktopsortingstrategy.cpp
   strategies/programgroupingstrategy.cpp
   strategies/manualgroupingstrategy.cpp
   strategies/manualsortingstrategy.cpp
   strategies/kustodiangroupingstrategy.cpp
   task.cpp
   taskactions.cpp
   taskgroup.cpp
   taskitem.cpp
   taskmanager.cpp
   )

if(WIN32)
    set(taskmanager_LIB_SRCS ${taskmanager_LIB_SRCS} task_win.cpp)
else(WIN32)
    set(taskmanager_LIB_SRCS ${taskmanager_LIB_SRCS} task_x11.cpp)
endif(WIN32)

kde4_add_library(taskmanager SHARED ${taskmanager_LIB_SRCS})

target_link_libraries(taskmanager ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${X11_LIBRARIES})
if (X11_Xfixes_FOUND)
  target_link_libraries(taskmanager ${X11_Xfixes_LIB})
endif (X11_Xfixes_FOUND)
if (X11_Xrender_FOUND)
  target_link_libraries(taskmanager ${X11_Xrender_LIB})
endif (X11_Xrender_FOUND)
if (X11_Xcomposite_FOUND)
  target_link_libraries(taskmanager ${X11_Xcomposite_LIB})
endif (X11_Xcomposite_FOUND)

target_link_libraries(taskmanager kephal)

set_target_properties(taskmanager PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS taskmanager EXPORT kdeworkspaceLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
   abstractgroupableitem.h
   abstractgroupingstrategy.h
   abstractsortingstrategy.h
   groupmanager.h
   startup.h
   task.h
   taskactions.h
   taskgroup.h
   taskitem.h
   taskmanager.h
   taskmanager_export.h
   DESTINATION ${INCLUDE_INSTALL_DIR}/taskmanager COMPONENT Devel
   )

=== systemsettings/app/CMakeLists.txt ===
include_directories( ToolTips )

SET( systemsettings_SRCS
     SystemSettingsApp.cpp
     SettingsBase.cpp
     ToolTips/ktooltip.cpp
     ToolTips/ktooltipwindow.cpp
     ToolTips/tooltipmanager.cpp
     main.cpp )

KDE4_ADD_APP_ICON( systemsettings_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/categories/preferences-system.png" )
KDE4_ADD_UI_FILES( systemsettings_SRCS configDialog.ui )
KDE4_ADD_KCFG_FILES( systemsettings_SRCS BaseConfig.kcfgc )
QT4_ADD_DBUS_ADAPTOR( systemsettings_SRCS org.kde.systemsettings.xml SystemSettingsApp.h SystemSettingsApp  )

KDE4_ADD_EXECUTABLE( systemsettings ${systemsettings_SRCS})

TARGET_LINK_LIBRARIES( systemsettings ${KDE4_KIO_LIBS} ${KDE4_KCMUTILS_LIBS} systemsettingsview )

INSTALL( TARGETS systemsettings ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( FILES systemsettingsui.rc systemsettings.kcfg DESTINATION ${DATA_INSTALL_DIR}/systemsettings )
INSTALL( FILES systemsettings.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== kdm/kfrontend/themes/CMakeLists.txt ===
add_subdirectory( circles )
add_subdirectory( oxygen )
add_subdirectory( oxygen-air )
add_subdirectory( ethais )

install( FILES greeter.dtd DESTINATION ${DATA_INSTALL_DIR}/doc/kdm )

=== kwin/clients/redmond/CMakeLists.txt ===
set(kwin3_redmond_PART_SRCS redmond.cpp)

kde4_add_plugin(kwin3_redmond ${kwin3_redmond_PART_SRCS})

target_link_libraries(kwin3_redmond kdecorations)

install(TARGETS kwin3_redmond  DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES redmond.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin )

=== kwin/effects/_test/CMakeLists.txt ===
# Adds effect plugin with given name. Sources are given after the name
macro(KWIN4_ADD_EFFECT name)
    kde4_add_plugin(kwin4_effect_${name} ${ARGN})
    target_link_libraries(kwin4_effect_${name} kwineffects ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES} kephal)
    install(TARGETS kwin4_effect_${name} DESTINATION ${PLUGIN_INSTALL_DIR})
endmacro(KWIN4_ADD_EFFECT)

macro(KWIN4_ADD_EFFECT_CONFIG name)
    kde4_add_plugin(kcm_kwin4_effect_${name} ${ARGN})
    target_link_libraries(kcm_kwin4_effect_${name} kwineffects ${KDE4_KDEUI_LIBS})
    install(TARGETS kcm_kwin4_effect_${name} DESTINATION ${PLUGIN_INSTALL_DIR})
endmacro(KWIN4_ADD_EFFECT_CONFIG)

include_directories(
    ${KDEBASE_WORKSPACE_SOURCE_DIR}/kwin/lib
    )


### tests - meant to test/demo certain functionality, not really usable for end-users
SET(kwin4_effect_tests_sources
    demo_shakymove.cpp
    demo_shiftworkspaceup.cpp
    drunken.cpp
    flame.cpp
    howto.cpp
    test_input.cpp
    test_thumbnail.cpp
    )
install( FILES
    demo_shakymove.desktop
    demo_shiftworkspaceup.desktop
    drunken.desktop
    flame.desktop
    howto.desktop
    test_input.desktop
    test_thumbnail.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

if(OPENGL_FOUND)
    # opengl test/demo stuff
    SET(kwin4_effect_tests_sources ${kwin4_effect_tests_sources}
        demo_liquid.cpp
        demo_showpicture.cpp
        demo_wavywindows.cpp
        ../cube/cube_proxy.cpp
        ../cube/cube.cpp
        gears.cpp
        test_fbo.cpp
        )

    install( FILES
        demo_liquid.desktop
        demo_showpicture.desktop
        demo_wavywindows.desktop
        gears.desktop
        test_fbo.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

    install( FILES
        data/liquid.frag
        data/liquid.vert
        DESTINATION  ${DATA_INSTALL_DIR}/kwin )
endif(OPENGL_FOUND)

# add the plugin
KWIN4_ADD_EFFECT(tests ${kwin4_effect_tests_sources})


### videocapture plugin
include(UsePkgConfig)
PKGCONFIG(libcaptury CAPTURY_INCLUDES CAPTURY_LINK_DIR CAPTURY_LDFLAGS CAPTURY_CFLAGS)
if( CAPTURY_LDFLAGS )
    SET( CAPTURY_FOUND TRUE )
endif( CAPTURY_LDFLAGS )

macro_log_feature(CAPTURY_FOUND "Captury framework library" "Realtime video capturing framework e.g. screen casts" "http://gitorious.org/projects/libcaptury" FALSE "0.3.0" "Provides for video recording desktop effects.")

macro_bool_to_01( CAPTURY_FOUND HAVE_CAPTURY )
if( CAPTURY_FOUND )
    KWIN4_ADD_EFFECT(videorecord videorecord.cpp)
    KWIN4_ADD_EFFECT_CONFIG(videorecord videorecord_config.cpp)
    target_link_libraries(kwin4_effect_videorecord ${KDE4_KIO_LIBS} ${CAPTURY_LDFLAGS})
    install( FILES videorecord.desktop videorecord_config.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kwin )
endif( CAPTURY_FOUND )

=== debian/changelog ===
kdebase-workspace (4:4.5.1-0ubuntu8) maverick; urgency=low

  * remove recommend of policykit-1-gnome from kdebase-workspace-bin, it
    doesn't seem to work, LP: #653645

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 13:14:12 +0100

kdebase-workspace (4:4.5.1-0ubuntu7) maverick; urgency=low

  * Add kubuntu_117_fix_dolphin_show_free_space_in_places.diff (LP: #602389)
    To fix regression, dolphin wasn't able to show free space in places for
    removable devices. 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 03 Oct 2010 22:26:37 +0200

kdebase-workspace (4:4.5.1-0ubuntu6) maverick; urgency=low

  * Fix Lucid -> Maverick upgrade (LP: #652056)
    - kdebase-workspace-dev replaces libksignalplotter4 (<< 4:4.5.0)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 03 Oct 2010 04:00:28 +0200

kdebase-workspace (4:4.5.1-0ubuntu5) maverick; urgency=low

  * debian/kdm.upstart: Do not already fire on a framebuffer device. When a
    real DRM driver gets loaded later on, X will be started too early to catch
    it. (LP: #615549)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Sep 2010 17:25:49 -0400

kdebase-workspace (4:4.5.1-0ubuntu4) maverick; urgency=low

  * Add kubuntu_33_ensure_eletric_borders_are_above_effect_windows.diff
    (http://bugs.kde.org/show_bug.cgi?id=200235)
  * Add kubuntu_35_dont_set_gl_textcoord_in_the_vertex_shader.diff
    (http://websvn.kde.org/?view=revision&revision=1178358)
  * Add kubuntu_36_exclude_all_transformed_windows_from_blur_effect.diff
    (http://bugs.kde.org/show_bug.cgi?id=243693)
  * Add kubuntu_37_check_for_fbo_size_in_blur.diff
    (http://websvn.kde.org/?view=revision&revision=1179269)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Sep 2010 22:15:24 +0200

kdebase-workspace (4:4.5.1-0ubuntu3) maverick; urgency=low

  [ Alessandro Ghersi ]
  * Add kubuntu_28_disable_lanczos_filter.diff, disable Lanczos filter while
    moving windows in present windows.
  * Add kubuntu_29_fallback_to_xrender_compositing.diff
    fallback to XRender compositing in case of Software Rasterizer.
    (backport from trunk)
  * Add kubuntu_30_fix_numlock_at_start.diff (LP: #635670)
  * Update kubuntu_26_fix_oxygen_with_nvidia.diff to fix memory leak
  * Add kubuntu_31_keep_panel_when_unhidden.diff to keep the panel above when
    unhidden, keepbelow when hidden
    (http://bugs.kde.org/show_bug.cgi?id=251443)
  * Add kubuntu_32_fix_device_action_editor.diff
    fix plasma stops responding if you minimize the device action editor
    (http://bugs.kde.org/show_bug.cgi?id=251138)
  * Adjust kdm.postinst to transfer ownership of /var/lib/kdm to the kdm user.
    (Taken from Debian git) (LP: #588090)

  [ Harald Sitter ]
  * Add kubuntu_01_kubuntu_knewstuff.diff to introduce Kubuntu Wallpaper
    support in Plasma Wallpaper's get new stuff feature.
    i.e. listing content from kubuntu-art's:
    http://kubuntu-art.org/index.php?xcontentmode=7800 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 18 Sep 2010 20:33:06 +0200

kdebase-workspace (4:4.5.1-0ubuntu2) maverick; urgency=low

  * kdebase-workspace-dev replaces libksignalplotter4 (<= 4:4.4.2-0ubuntu14)
  * Add patches from upstream:
    - Add kubuntu_20_fix_color_schemes.diff
      (http://bugs.kde.org/show_bug.cgi?id=153056)
      (http://bugs.kde.org/show_bug.cgi?id=233436)
    - Add kubuntu_21_use_sane_permission_for_kcmclockrc.diff to fix permission
      of kcmclockrc (644 instead of 004) 
    - Add kubuntu_22_dont_crash_if_xkb_option_not_found.diff
      (http://bugs.kde.org/show_bug.cgi?id=244913)
    - Add kubuntu_24_fix_crash_systemsettings_input_devices.diff
      (http://bugs.kde.org/show_bug.cgi?id=248096)
    - Add kubuntu_25_fix_timed_login.diff
      (http://bugs.kde.org/show_bug.cgi?id=229475)
    - Add kubuntu_26_fix_oxygen_with_nvidia.diff
      (http://bugs.kde.org/show_bug.cgi?id=242653)
    - Add kubuntu_27_fix_krunner_needs_press_enter_twice.diff
      (http://bugs.kde.org/show_bug.cgi?id=250582)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 07 Sep 2010 19:21:44 +0200

kdebase-workspace (4:4.5.1-0ubuntu1) maverick; urgency=low

  [ Felix Geyer ]
  * New upstream release.
  * Drop patches that are applied upstream:
    - kubuntu_115_loginscreen_kcm_no_rootonly.diff
    - kubuntu_117_no_malloc_check.diff
  * Update install and symbols files.

  [ Harald Sitter ]
  * Drop CVE-2010-0436_fix_kdm_local_exploit.diff for good, the remaining
    portion of this patch was applied at another position within the same
    file which essentially made the variable set twice.
  * Update kubuntu_34_kdm_plymouth_transition.diff to quit plymouth when
    startServerSuccess is called, which should be called whenever successful
    startup was archived. (LP: #618450)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 01 Sep 2010 23:57:59 +0200

kdebase-workspace (4:4.5.0b-0ubuntu6) maverick; urgency=low

  [ Harald Sitter ]
  * Remove string changes from 07_kdmrc_defaults_kubuntu.diff and reactivate
    the patch because it does other important things besides changing i18ns

  [ Rodrigo Belem ]
  * Update kubuntu_108_plasma_netbook_for_small_screens.diff to make mobile
    also work if plasma-netbook is installed and make settings cascade on
    kubuntu-default-settings

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 25 Aug 2010 08:20:15 +0200

kdebase-workspace (4:4.5.0b-0ubuntu5) maverick; urgency=low

  * Fix install files in kdebase-workspace-bin now kwrited is a kded

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 14:14:01 +0100

kdebase-workspace (4:4.5.0b-0ubuntu4) maverick; urgency=low

  * Fix kubuntu_105_netbook_favourites.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 00:41:13 +0100

kdebase-workspace (4:4.5.0b-0ubuntu3) maverick; urgency=low

  [ Rodrigo Belem ]
  * Set KDEDIRS to mobile profile if startkde loaded with mobile argument
    LP: #622871

  [ Jonathan Riddell ]


=== debian/control ===
Source: kdebase-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
 dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5),
 libakonadi-dev (>= 1.3.90), shared-desktop-ontologies (>= 0.5),
 libboost1.42-dev, python-support (>= 0.6), python-dev,
 python-sip, python-qt4, python-kde4, libpolkit-qt-1-dev,
 libbluetooth-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libck-connector-dev, libdbus-1-dev, libqtwebkit-dev,
 libnm-util-dev (>= 0.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 network-manager-dev (>= 0.7.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libpam0g-dev, libqimageblitz-dev (>= 1:0.0.4-2), libgps-dev (>= 2.90), 
 libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], 
 libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libdevstat-dev [kfreebsd-i386 kfreebsd-amd64], libpci-dev,
 libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3), libusb-dev, libxkbfile-dev,
 libxcomposite-dev, libxdamage-dev, libxfixes-dev, libxklavier-dev,
 libxrandr-dev, libxrender-dev, libxi-dev,
 libsmbclient-dev, libxcb1-dev, libxine-dev, libfontconfig-dev, libglu1-mesa-dev,
 libsm-dev, libxcursor-dev, libxft-dev, libxtst-dev, libqt4-opengl-dev, libxinerama-dev,
 libxss-dev, libqedje-dev (>= 0.4.0), libdbusmenu-qt-dev (>= 0.3.0), sharutils, pciutils, libqalculate-dev,
 libjpeg62-dev
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdebase-workspace/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdebase-workspace/ubuntu

Package: kdebase-workspace
Architecture: all
Depends:  kdebase-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
 kde-window-manager (>= ${source:Version}), systemsettings (>= ${source:Version})
Recommends: kdm (>= ${source:Version}), kinfocenter (>= ${source:Version})
Description: base workspace components from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE 4 desktop installation.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, plasma-widgets-workspace (= ${binary:Version})
Recommends: kdebase-workspace
Replaces: kdebase-workspace-bin (<< 4:4.4.0), plasma-widgets-workspace (<< 4:4.4.85-0ubuntu2)
Description: The KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, plasma-widgets-workspace (= ${binary:Version})
Recommends: kdebase-workspace
Replaces: plasma-widgets-workspace (<< 4:4.4.85-0ubuntu2)
Description: The KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE 4 base workspace module.

Package: kdebase-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}),
 kdebase-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kdebase-workspace-kgreet-plugins (= ${binary:Version})
Recommends: polkit-kde-1
Suggests: x11-xkb-utils, plasma-scriptengines
Replaces: kdebase-bin (<< 4:4.0.0-1), kcontrol, kmenuedit, ktip, libplasma2,
 kde-window-manager (<< 4:4.1.80), kdebase-workspace-data (<< 4:4.1.82),
 kdebase-workspace-libs4+5, libkfontinst4, kinfocenter (<< 4:4.4.80), kdebase-data (<< 4:4.4.80),
 freespacenotifier, kdebase-runtime (<< 4:4.4.80)
Conflicts: kcontrol, libplasma1, libplasma2, libkfontinst4, freespacenotifier
Description: core binaries for the KDE 4 base workspace module
 This package contains miscellaneous programs needed for a basic KDE 4 desktop
 installation. Among other standard KDE 4 desktop components, the package
 provides startkde scripts, ksmserver (the KDE 4 session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE 4 Desktop Environment.
 .
 This package is part of the KDE 4 base workspace module.

Package: kdebase-workspace-data
Architecture: all
Depends: oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
Conflicts: ksmserver, kdebase-bin (<< 4:4.0.0-1), kdebase-data (<< 4:4.0.0-1),
 kmenuedit, ktip, libplasma1, systemsettings (<< 4:4.1.80), freespacenotifier
Replaces: ksmserver, kdebase-bin (<< 4:4.0.0-1), kdebase-data (<< 4:4.0.0-1),
 kmenuedit, ktip, kdebase-runtime-data (<< 4:4.4.80), kde-window-manager (<< 4:4.1.80),
 kdm (<< 4:4.2.0-3), systemsettings (<< 4:4.1.80), kinfocenter (<< 4:4.4.80), freespacenotifier
Description: shared data files for the KDE 4 base workspace module
 This package contains architecture-independent shared data files needed for a
 basic KDE 4 desktop installation.
 .
 This package is part of the KDE 4 base workspace module.

Package: kdebase-workspace-wallpapers
Section: kde
Architecture: all
Depends: ${misc:Depends}
Description: set of extra wallpapers from the KDE 4 base module
 Extra wallpapers from KDE 4 base.  Not installed by default to save space.
 .
 This package is part of KDE 4, and a component of the KDE 4 base module.
 See the 'kde4' and 'kdebase-workspace' packages for more information.

Package: kdebase-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
 ${sameVersionDep:kdelibs5-dev:kdebase-workspace-bin},
Replaces: kdebase-workspace-data (<< 4:4.1.80), ksysguard (<< 4:4.1.80), libplasma-dev (<< 4:4.1.80),
 kde-window-manager (<< 4:4.1.80), libksignalplotter4 (<< 4:4.5.0)
Conflicts: kdebase-workspace-libs4+5
Description: development files for the KDE 4 base workspace module
 This package contains development files for building software that uses
 libraries from the KDE 4 base workspace module.

Package: kinfocenter
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: kcontrol
Replaces: kdebase-bin (<< 4:4.0.0-1), kdebase-workspace-bin (<< 4:4.4.85-0ubuntu2)
Description: system information viewer for KDE
 KInfoCenter provides you with a graphical overview of various aspects of your
 system, such as memory usage, storage capacity, and attached devices.
 .
 This package is part of the KDE 4 base applications module.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Replaces: kdebase-workspace-bin (<< 4:4.1.82), kdebase-workspace-data (<< 4:4.1.82),
 systemsettings (<< 4:4.1.80), libplasma2
Conflicts: libplasma2
Description: KDE 4 base workspace Plasma data engines
 This package contains standard Plasma data engines shipped in KDE 4 base
 workspace module. These engines are needed by the standard KDE 4 base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends}, kdebase-runtime (>> 4.3.3~),
 akonadi-server, kdepim-runtime
Replaces: kdebase-workspace-bin (<< 4:4.1.82), kdebase-workspace-data (<< 4:4.1.82), libplasma2,
 plasma-applets-workspace, kdebase-workspace-libs4+5, libplasma-applet-system-monitor4, plasma-widget-logout
Conflicts: libplasma2, plasma-applets-workspace, kdebase-workspace-libs4+5, libplasma-applet-system-monitor4, plasma-widget-logout
Description: KDE 4 base workspace Plasma widgets and containments
 This package contains standard Plasma widgets and containments shipped in the
 KDE 4 base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 4 desktop is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE 4 Plasma
 shell.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
 plasma-scriptengine-qedje (>= ${source:Version}),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: a metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kdebase-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengine-qedje
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QEdje script engine for Plasma
 This package provides QEdje script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in QEdje.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengine-ruby
Architecture: all
Depends: libkde4-ruby, libplasma-ruby (>= 4:4.2.0), ${misc:Depends}
Replaces: kdebase-workspace-bin (<< 4:4.1.82+svn893000), kdebase-workspace-data (<< 4:4.1.82+svn893000)
Description: Ruby script engine for Plasma
 This package provides Ruby script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Ruby.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengine-python
Architecture: all
Depends: ${python:Depends}, python-kde4 (>= 4:4.2.0), ${misc:Depends}
Description: Python script engine for Plasma
 This package provides Python script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Python.
 .
 This package is part of the KDE 4 base workspace module.

Package: plasma-scriptengine-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdebase-workspace-bin (<< 4:4.1.82+svn893000), kdebase-workspace-data (<< 4:4.1.82+svn893000)
Description: Web and Mac OS X dashboard widget support for Plasma
 This package provides the WebKit script engine for Plasma which adds support
 for the webpage widgets written in HTML and JavaScript and for the Apple
 Mac OS X dashboard widgets. You have to install this package if you want to be
 able to load these widgets in your Plasma shell.
 .
 This package is part of the KDE 4 base workspace module.

## kdebase-workspace 4.5.5

=== debian/changelog ===
kdebase-workspace (4:4.5.5-0ubuntu2.2) maverick-security; urgency=low

  * No change rebuild for security. This is needed to build kdeutils in
    the security pocket.
  * debian/control: relax build-dependency on kde-sc-dev-latest so this
    is actually buildable in the security PPA

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Nov 2011 16:43:25 -0600

kdebase-workspace (4:4.5.5-0ubuntu2.1) maverick-proposed; urgency=low

  * Fix missing quotes in kubuntu_108_plasma_netbook_for_small_screens.diff
    - Fixing LP: #688518 a little harder

 -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Apr 2011 11:04:50 -0400

kdebase-workspace (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP:  #757065)
  * Remove bashism in kubuntu_108_plasma_netbook_for_small_screens.diff,
    thanks to Achim (LP: #688518)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 01:02:52 -0400

kdebase-workspace (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release
  * Removed kubuntu_118_krunner_compile_fix.diff, fixed upstream

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 09:53:29 -0700

kdebase-workspace (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build
  * Add kubuntu_118_krunner_compile_fix.diff from branch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 13:45:47 +0000

kdebase-workspace (4:4.5.3-0ubuntu1~maverick1~ppa2) maverick; urgency=low

  * Do not pointlessly conflict libweather-ion5 with libweather-ion4a, this
    leads to odd dependency resolving issues.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 24 Nov 2010 10:29:35 +0100

kdebase-workspace (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 17:31:49 +0000

kdebase-workspace (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 21:46:23 +0000

kdebase-workspace (4:4.5.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
  * Removed patches applied upstream
    - kubuntu_20_fix_color_schemes.diff
    - kubuntu_21_use_sane_permission_for_kcmclockrc.diff
    - kubuntu_22_dont_crash_if_xkb_option_not_found.diff
    - kubuntu_24_fix_crash_systemsettings_input_devices.diff
    - kubuntu_26_fix_oxygen_with_nvidia.diff
    - kubuntu_27_fix_krunner_needs_press_enter_twice.diff
    - kubuntu_28_disable_lanczos_filter.diff
    - kubuntu_30_fix_numlock_at_start.diff
    - kubuntu_31_keep_panel_when_unhidden.diff
    - kubuntu_32_fix_device_action_editor.diff
    - kubuntu_33_ensure_eletric_borders_are_above_effect_windows.diff
    - kubuntu_35_dont_set_gl_textcoord_in_the_vertex_shader.diff
    - kubuntu_36_exclude_all_transformed_windows_from_blur_effect.diff
    - kubuntu_37_check_for_fbo_size_in_blur.diff
    - kubuntu_116_kdm_timeout.diff
  * refresh kubuntu_25_fix_timed_login.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 19:17:08 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
+Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
  cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
  dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5),
  libakonadi-dev (>= 1.3.90), shared-desktop-ontologies (>= 0.5),

=== debian/rules ===
#!/usr/bin/make -f

DEB_ALL_LIBRARIES_SUBST_PACKAGES = kdebase-workspace-dev
DEB_STRICT_LOCAL_SHLIBS_PACKAGES = $(DEB_LIBRARY_PACKAGES)
BINARYVERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/1/library-packages.mk

#DEB_CMAKE_EXTRA_FLAGS += \
#	-DINSTALL_PRINTER_APPLET=TRUE

pyversions := $(shell pyversions -vr)

DEB_CMAKE_EXTRA_FLAGS += -DPYTHON_SITE_PACKAGES_INSTALL_DIR=/usr/lib/python$(pyversions)/dist-packages/

DEB_CMAKE_EXTRA_FLAGS += -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm
DEB_DH_MAKESHLIBS_ARGS_ALL := -V -u-c0

# Private shared libraries which do not install headers

DEB_FIXPERMS_EXCLUDE := usr/bin/kwrited

DEB_DH_MAKESHLIBS_ARGS_libplasmagenericshell4 := '-Vlibplasmagenericshell4 (= $(BINARYVERSION))'

DEB_DH_MAKESHLIBS_ARGS_plasma-desktop := -Xlibkickoff.so

DEB_DH_SHLIBDEPS_ARGS_kdebase-workspace-bin := -- -xksysguard
DEB_DH_SHLIBDEPS_ARGS_kdebase-workspace-dev := -- -xkdebase-runtime

# For kdm: prevent it from stopping kdm in prerm ever (--no-restart-on-upgrade
# is not enough)
DEB_DH_INSTALLINIT_ARGS = --noscripts

$(foreach p,$(filter lib%, $(DEB_ARCH_PACKAGES)),$(eval DEB_DH_SHLIBDEPS_ARGS_$(p) := -- -xkdebase-runtime))

binary-install/kdm::
	install -p -D -m644 debian/kdm-np.pam debian/kdm/etc/pam.d/kdm-np

binary-install/plasma-scriptengine-python::
	dh_pysupport -p$(cdbs_curpkg) /usr/share/kde4/apps/plasma_scriptengine_python

ifeq ($(DEB_HOST_ARCH_OS),linux)
install/kdebase-workspace-bin install/kdebase-workspace-data install/kinfocenter::
	# Install common files
	dh_install -p$(cdbs_curpkg) --ignore=debian/$(cdbs_curpkg).install.linux
endif
